Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.chart
Enum OdfDataLabelNumberType

    java.lang.Object
      java.lang.Enum<OdfDataLabelNumberType>
          org.odftoolkit.odfdom.dom.type.chart.OdfDataLabelNumberType

All Implemented Interfaces:
  Serializable, Comparable<OdfDataLabelNumberType>

    public enum OdfDataLabelNumberType

extends Enum<OdfDataLabelNumberType>

DOM implementation of OpenDocument attribute chart:data-label-number.

Enum Constant Summary
`NONE`
`PERCENTAGE`
`VALUE`
`VALUE_AND_PERCENTAGE`

Method Summary
`static OdfDataLabelNumberType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfDataLabelNumberType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfDataLabelNumberType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfDataLabelNumberType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final OdfDataLabelNumberType NONE

### VALUE_AND_PERCENTAGE

    public static final OdfDataLabelNumberType VALUE_AND_PERCENTAGE

### VALUE

    public static final OdfDataLabelNumberType VALUE

### PERCENTAGE

    public static final OdfDataLabelNumberType PERCENTAGE

Method Detail

### values

    public static OdfDataLabelNumberType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfDataLabelNumberType c : OdfDataLabelNumberType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfDataLabelNumberType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfDataLabelNumberType>`
  Returns:
    return the name of OdfDataLabelNumberType

### toString

    public static String toString(OdfDataLabelNumberType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfDataLabelNumberType, see chart:data-label-number
  Returns:
    return the name of OdfDataLabelNumberType

### enumValueOf

    public static OdfDataLabelNumberType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfDataLabelNumberType
  Returns:
    return the constant of OdfDataLabelNumberType, see chart:data-label-number

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.